FROM python:3.11-slim-buster

RUN pip install --no-cache-dir gunicorn

WORKDIR /rifalto
COPY requirements.txt /rifalto
RUN pip install --no-cache-dir -r requirements.txt
RUN rm requirements.txt

EXPOSE 5000

COPY start.sh .

COPY rifaserver ./rifaserver
COPY migrations ./migrations

RUN chmod +x start.sh
ENV FLASK_APP=rifaserver.app
ENV GUNICORN_BIND=:5000
ENV PYTHONUNBUFFERED 1
CMD ["./start.sh"]
